Subject: BUG: strtod() completely fails under cygwin-b20
From: [email-masked] (Dobes Vandermeer)

3 Jan 1999 04:55:10 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Here is my program:

int main()
{
  double val = strtod("3.123", 0);
  printf("TEST: %g %g\n", 3.123, val);
  return 0;
}

Here are the results:

H:\>gcc test.c -o test.exe

H:\>test
TEST: 3.123 3123

The results I WANTED would have 3.123 both times, and this is the
behavior documented.

This same behavior is exhibited by atof()... This is a bug, I think.

Please send any replies to my actual email address
(mailto:[email-masked]) because I am not subscribed to this mailing
list...

Thanks
Dobes
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".